Puppet7 and Ansible = conflict

17 views
Skip to first unread message

Arpin Dominique (Nter)

unread,
Aug 26, 2021, 9:32:02 PMAug 26
to puppet...@googlegroups.com

Hi,

 

I just wondering if anybody it using Ansible 2.9 and Puppet agent 7.10 together?

 

I got this error after I upgrade Puppet 6.24.0 to 7.10:

 

I use the module setup in Ansible to retrieves the facts for Ansible.

 

{

    "exception": "C:/Program Files/Puppet Labs/Puppet/puppet/lib/ruby/2.7.0/json/common.rb:286:in `to_json': source sequence is illegal/malformed utf-8 (JSON::GeneratorError)\r\nAu caractère Ligne:243 : 9\r\n+         &facter -j | Tee-Object  -Variable facter_output > $null\r\n+         ~~~~~~~~~~\r\n    + CategoryInfo          : NotSpecified: (C:/Program File...GeneratorError):String) [], RemoteException\r\n    + FullyQualifiedErrorId : NativeCommandError\r\n\r\nScriptStackTrace:\r\nà <ScriptBlock>, <Aucun fichier> : ligne 243\r\n",

    "msg": "Unhandled exception while executing module: C:/Program Files/Puppet Labs/Puppet/puppet/lib/ruby/2.7.0/json/common.rb:286:in `to_json': source sequence is illegal/malformed utf-8 (JSON::GeneratorError)",

    "_ansible_verbose_override": true,

    "_ansible_no_log": false,

    "changed": false

}

 

Regards,

 

Dominique Arpin
Administrateur infrastructure et Stockage
Infrastructure et Exploitation - Support

 

 

TECHNOLOGIES NTER
500, RUE SHERBROOKE OUEST, 5E ÉTAGE, MONTRÉAL (QUÉBEC) CANADA, H3A 3G6
TÉL. : 514.285.2929 POSTE 140-4156

Technologies Nter

 





Mise en garde concernant la confidentialité : Le présent message, comprenant tout fichier qui y est joint, est envoyé à l'intention exclusive de son destinataire; il est de nature confidentielle et peut constituer une information protégée par le secret professionnel. Si vous n'êtes pas le destinataire, nous vous avisons que toute impression, copie, distribution ou autre utilisation de ce message est strictement interdite. Si vous avez reçu ce courriel par erreur, veuillez en aviser immédiatement l'expéditeur par retour de courriel et supprimer le courriel. Merci!

Confidentiality Warning: This message, including any attachment, is sent only for the use of the intended recipient; it is confidential and may constitute privileged information. If you are not the intended recipient, you are hereby notified that any printing, copying, distribution or other use of this message is strictly prohibited. If you have received this email in error, please notify the sender immediately by return email, and delete it. Thank you!

Martin Alfke

unread,
Aug 27, 2021, 3:33:57 AMAug 27
to puppet...@googlegroups.com
Hi Arpin,

Sounds like an utf-8 problem:

`to_json': source sequence is illegal/malformed utf-8

Please run the facter -j command on the windows system and check that it returns the values.
Check which locale is configured when running ansible on the windows system.

Hth,
Martin


On 27. Aug 2021, at 03:31, Arpin Dominique (Nter) <Dominiq...@casino.qc.ca> wrote:

Hi,
 
I just wondering if anybody it using Ansible 2.9 and Puppet agent 7.10 together?
 
I got this error after I upgrade Puppet 6.24.0 to 7.10:
 
I use the module setup in Ansible to retrieves the facts for Ansible.
 
{
    "exception": "C:/Program Files/Puppet Labs/Puppet/puppet/lib/ruby/2.7.0/json/common.rb:286:in `to_json': source sequence is illegal/malformed utf-8 (JSON::GeneratorError)\r\nAu caractère Ligne:243 : 9\r\n+         &facter -j | Tee-Object  -Variable facter_output > $null\r\n+         ~~~~~~~~~~\r\n    + CategoryInfo          : NotSpecified: (C:/Program File...GeneratorError):String) [], RemoteException\r\n    + FullyQualifiedErrorId : NativeCommandError\r\n\r\nScriptStackTrace:\r\nà <ScriptBlock>, <Aucun fichier> : ligne 243\r\n",
    "msg": "Unhandled exception while executing module: C:/Program Files/Puppet Labs/Puppet/puppet/lib/ruby/2.7.0/json/common.rb:286:in `to_json': source sequence is illegal/malformed utf-8 (JSON::GeneratorError)",
    "_ansible_verbose_override": true,
    "_ansible_no_log": false,
    "changed": false
}
 
Regards,
 

DOMINIQUE ARPIN
ADMINISTRATEUR INFRASTRUCTURE ET STOCKAGE
INFRASTRUCTURE ET EXPLOITATION - SUPPORT

 

 

TECHNOLOGIES NTER
500, RUE SHERBROOKE OUEST, 5E ÉTAGE, MONTRÉAL (QUÉBEC) CANADA, H3A 3G6 
TÉL. : 514.285.2929 POSTE 140-4156

Technologies Nter




Mise en garde concernant la confidentialité : Le présent message, comprenant tout fichier qui y est joint, est envoyé à l'intention exclusive de son destinataire; il est de nature confidentielle et peut constituer une information protégée par le secret professionnel. Si vous n'êtes pas le destinataire, nous vous avisons que toute impression, copie, distribution ou autre utilisation de ce message est strictement interdite. Si vous avez reçu ce courriel par erreur, veuillez en aviser immédiatement l'expéditeur par retour de courriel et supprimer le courriel. Merci! 

Confidentiality Warning: This message, including any attachment, is sent only for the use of the intended recipient; it is confidential and may constitute privileged information. If you are not the intended recipient, you are hereby notified that any printing, copying, distribution or other use of this message is strictly prohibited. If you have received this email in error, please notify the sender immediately by return email, and delete it. Thank you! 

-- 
You received this message because you are subscribed to the Google Groups "Puppet Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/puppet-users/YQBPR0101MB12195954FA8F579FC2F066ACD0C89%40YQBPR0101MB1219.CANPRD01.PROD.OUTLOOK.COM.

Arpin Dominique (Nter)

unread,
Aug 27, 2021, 7:04:28 AMAug 27
to puppet...@googlegroups.com

Hi found something this morning…

 

The command “facter -j” encode differently with Puppet 7…

 

Puppet 6 :

"timezone": "Est (heure dÆÚtÚ)",

 

Puppet 7 :

"timezone": "Est (heure d?été)",

 

Someone known how to change this behavior?

 

Regards,

 

 

Dominique Arpin
Administrateur infrastructure et Stockage
Infrastructure et Exploitation - Support

 
TECHNOLOGIES NTER
500, RUE SHERBROOKE OUEST, 5E ÉTAGE, MONTRÉAL (QUÉBEC) CANADA, H3A 3G6
TÉL. : 514.285.2929 POSTE 140-4156
 

De : puppet...@googlegroups.com <puppet...@googlegroups.com> De la part de Arpin Dominique (Nter)
Envoyé : 26 août 2021 21:32
À : puppet...@googlegroups.com
Objet : * EXTERNE * - [Puppet Users] Puppet7 and Ansible = conflict

 

ATTENTION! Ce courriel provient d'un expéditeur externe. Veuillez porter une attention particulière aux pièces jointes et aux adresses URL pouvant s'y trouver!

--

You received this message because you are subscribed to the Google Groups "Puppet Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/puppet-users/YQBPR0101MB12195954FA8F579FC2F066ACD0C89%40YQBPR0101MB1219.CANPRD01.PROD.OUTLOOK.COM.

Reply all
Reply to author
Forward
0 new messages